"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssetHistoryService = void 0;
const kuzzle_plugin_commons_1 = require("kuzzle-plugin-commons");
const plugin_1 = require("../plugin");
const shared_1 = require("../shared");
class AssetHistoryService extends shared_1.BaseService {
    constructor(plugin) {
        super(plugin);
        (0, kuzzle_plugin_commons_1.onAsk)("ask:device-manager:asset:history:add", async ({ engineId, histories }) => this.add(engineId, histories));
    }
    async add(engineId, histories) {
        const contents = [];
        for (const { asset, event, id, timestamp } of histories) {
            contents.push({
                body: {
                    asset,
                    event,
                    id,
                    timestamp,
                },
            });
        }
        await this.sdk.document.mCreate(engineId, plugin_1.InternalCollection.ASSETS_HISTORY, contents, { strict: true });
    }
}
exports.AssetHistoryService = AssetHistoryService;
//# sourceMappingURL=AssetHistoryService.js.map