"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssetModule = void 0;
const Module_1 = require("../shared/Module");
const AssetHistoryService_1 = require("./AssetHistoryService");
const AssetsController_1 = require("./AssetsController");
const AssetService_1 = require("./AssetService");
const AssetsGroupsController_1 = require("./AssetsGroupsController");
const RoleAssetsAdmin_1 = require("./roles/RoleAssetsAdmin");
const RoleAssetsReader_1 = require("./roles/RoleAssetsReader");
const RoleAssetsGroupsAdmin_1 = require("./roles/RoleAssetsGroupsAdmin");
const RoleAssetsGroupsReader_1 = require("./roles/RoleAssetsGroupsReader");
const specificRoles = __importStar(require("./roles/specificRoles"));
const AssetsGroupsService_1 = require("./AssetsGroupsService");
class AssetModule extends Module_1.Module {
    async init() {
        this.assetHistoryService = new AssetHistoryService_1.AssetHistoryService(this.plugin);
        this.assetService = new AssetService_1.AssetService(this.plugin, this.assetHistoryService);
        this.assetController = new AssetsController_1.AssetsController(this.plugin, this.assetService);
        this.assetsGroupsService = new AssetsGroupsService_1.AssetsGroupsService(this.plugin);
        this.assetGroupsController = new AssetsGroupsController_1.AssetsGroupsController(this.plugin, this.assetsGroupsService);
        this.plugin.api["device-manager/assetsGroup"] =
            this.assetGroupsController.definition;
        this.plugin.api["device-manager/assets"] = this.assetController.definition;
        this.plugin.imports.roles[RoleAssetsAdmin_1.RoleAssetsAdmin.name] =
            RoleAssetsAdmin_1.RoleAssetsAdmin.definition;
        this.plugin.imports.roles[RoleAssetsReader_1.RoleAssetsReader.name] =
            RoleAssetsReader_1.RoleAssetsReader.definition;
        for (const role in specificRoles) {
            if (specificRoles[role].name && specificRoles[role].definition) {
                this.plugin.imports.roles[specificRoles[role].name] =
                    specificRoles[role].definition;
            }
        }
        this.plugin.imports.roles[RoleAssetsGroupsAdmin_1.RoleAssetsGroupsAdmin.name] =
            RoleAssetsGroupsAdmin_1.RoleAssetsGroupsAdmin.definition;
        this.plugin.imports.roles[RoleAssetsGroupsReader_1.RoleAssetsGroupsReader.name] =
            RoleAssetsGroupsReader_1.RoleAssetsGroupsReader.definition;
    }
}
exports.AssetModule = AssetModule;
//# sourceMappingURL=AssetModule.js.map