import { ControllerDefinition, KuzzleRequest } from "kuzzle";
import { DeviceManagerPlugin } from "../plugin";
import { ApiGroupAddAssetsResult, ApiGroupCreateResult, ApiGroupDeleteResult, ApiGroupGetResult, ApiGroupRemoveAssetsResult, ApiGroupSearchResult, ApiGroupUpdateResult, AssetsGroupsBodyRequest } from "./types/AssetGroupsApi";
import { AssetsGroupsService } from "./AssetsGroupsService";
export declare class AssetsGroupsController {
    private plugin;
    private assetsGroupsService;
    definition: ControllerDefinition;
    constructor(plugin: DeviceManagerPlugin, assetsGroupsService: AssetsGroupsService);
    private get sdk();
    private get as();
    checkParent(engineId: string, parent: AssetsGroupsBodyRequest["parent"]): Promise<void>;
    checkChildren(engineId: string, children: AssetsGroupsBodyRequest["children"]): Promise<void>;
    checkGroupName(engineId: string, name: AssetsGroupsBodyRequest["name"], assetId?: string): Promise<void>;
    create(request: KuzzleRequest): Promise<ApiGroupCreateResult>;
    get(request: KuzzleRequest): Promise<ApiGroupGetResult>;
    update(request: KuzzleRequest): Promise<ApiGroupUpdateResult>;
    delete(request: KuzzleRequest): Promise<ApiGroupDeleteResult>;
    search(request: KuzzleRequest): Promise<ApiGroupSearchResult>;
    addAsset(request: KuzzleRequest): Promise<ApiGroupAddAssetsResult>;
    removeAsset(request: KuzzleRequest): Promise<ApiGroupRemoveAssetsResult>;
}
