import { JSONObject, KDocument } from "kuzzle-sdk";
import { DeviceManagerPlugin } from "../plugin";
import { BaseService, SearchParams } from "../shared";
import { KuzzleRequest } from "kuzzle";
import { AssetsGroupContent } from "./types/AssetGroupContent";
export declare class AssetsGroupsService extends BaseService {
    constructor(plugin: DeviceManagerPlugin);
    create(_id: string, engineId: string, metadata: JSONObject, model: string, name: string, parent: string | null, request: KuzzleRequest): Promise<KDocument<AssetsGroupContent>>;
    get(engineId: string, _id: string, request: KuzzleRequest): Promise<KDocument<AssetsGroupContent>>;
    update(request: KuzzleRequest, _id: string, engineId: string, updateContent: JSONObject): Promise<KDocument<AssetsGroupContent>>;
    delete(_id: string, engineId: string, request: KuzzleRequest): Promise<{
        _id: string;
    }>;
    search(engineId: string, searchParams: SearchParams, request: KuzzleRequest): Promise<import("kuzzle-sdk").SearchResult<import("kuzzle-sdk").KHit<AssetsGroupContent>>>;
    addAsset(engineId: string, _id: string, assetIds: string[], request: KuzzleRequest): Promise<{
        assetsGroups: KDocument<AssetsGroupContent>;
        successes: {
            _id: string;
            _source: JSONObject;
            _version: number;
        }[];
        errors: {
            document: {
                _id: string;
                _source: JSONObject;
            };
            status: number;
            reason: string;
        }[];
    }>;
    removeAsset(engineId: string, _id: string, assetIds: string[], request: KuzzleRequest): Promise<{
        assetsGroups: KDocument<AssetsGroupContent>;
        successes: {
            _id: string;
            _source: JSONObject;
            _version: number;
        }[];
        errors: {
            document: {
                _id: string;
                _source: JSONObject;
            };
            status: number;
            reason: string;
        }[];
    }>;
}
