/**
 * Base mappings for the "assetsHistory" collection.
 *
 * Those mappings does not contains the `asset` mappings.
 */
export declare const assetsHistoryMappings: {
    dynamic: string;
    properties: {
        event: {
            properties: {
                name: {
                    type: string;
                };
                measure: {
                    properties: {
                        names: {
                            type: string;
                        };
                    };
                };
                metadata: {
                    properties: {
                        names: {
                            type: string;
                        };
                    };
                };
                link: {
                    properties: {
                        deviceId: {
                            type: string;
                        };
                    };
                };
                unlink: {
                    properties: {
                        deviceId: {
                            type: string;
                        };
                    };
                };
            };
        };
        id: {
            type: string;
        };
        asset: {
            properties: {
                _kuzzle_info: {
                    properties: {
                        author: {
                            type: string;
                        };
                        createdAt: {
                            type: string;
                        };
                        updatedAt: {
                            type: string;
                        };
                        updater: {
                            type: string;
                        };
                    };
                };
            };
        };
        timestamp: {
            type: string;
        };
    };
};
