"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.assetsMappings = void 0;
/**
 * Base mappings for the "assets" collection.
 *
 * Those mappings does not contains the `measures` and `metadata` mappings.
 */
exports.assetsMappings = {
    dynamic: "strict",
    properties: {
        model: {
            type: "keyword",
            fields: { text: { type: "text" } },
        },
        modelLocales: {
            dynamic: "false",
            properties: {
                en: {
                    properties: {
                        description: {
                            type: "text",
                        },
                        friendlyName: {
                            type: "keyword",
                            fields: { text: { type: "text" } },
                        },
                    },
                },
                fr: {
                    properties: {
                        description: {
                            type: "text",
                        },
                        friendlyName: {
                            type: "keyword",
                            fields: { text: { type: "text" } },
                        },
                    },
                },
            },
        },
        reference: {
            type: "keyword",
            fields: { text: { type: "text" } },
        },
        groups: {
            properties: {
                id: {
                    type: "keyword",
                    fields: { text: { type: "text" } },
                },
                date: { type: "date" },
            },
        },
        softTenant: {
            type: "keyword",
            fields: { text: { type: "text" } },
        },
        metadata: {
            properties: {
            // populated with asset models
            },
        },
        measures: {
            properties: {
            // populated with asset models
            },
        },
        lastMeasuredAt: { type: "date" },
        linkedDevices: {
            properties: {
                _id: { type: "keyword" },
                measureNames: {
                    properties: {
                        asset: { type: "keyword" },
                        device: { type: "keyword" },
                        type: { type: "keyword" },
                    },
                },
            },
        },
    },
};
//# sourceMappingURL=assetsMappings.js.map