"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssetSerializer = void 0;
class AssetSerializer {
    static id(model, reference) {
        return `${model}-${reference}`;
    }
    static serialize(asset) {
        if (!asset) {
            return undefined;
        }
        return {
            _id: asset._id,
            _source: asset._source,
        };
    }
    /**
     * Get asset description to contextualize measure data point
     */
    static measureContext(asset, measureName) {
        return {
            _id: asset._id,
            groups: asset._source.groups,
            measureName,
            metadata: asset._source.metadata,
            model: asset._source.model,
            reference: asset._source.reference,
            softTenant: asset._source.softTenant,
        };
    }
}
exports.AssetSerializer = AssetSerializer;
//# sourceMappingURL=AssetSerializer.js.map