"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RoleAssetsAdmin = void 0;
/**
 * This role allows to manage assets and their models.
 *
 * It's a tenant role.
 *
 * @example
 *
    "device-manager/assets": {
      actions: {
        "*": true,
      },
    },
    "device-manager/models": {
      actions: {
        deleteAsset: true,
        listAssets: true,
        getAsset: true,
        writeAsset: true,
        listMeasures: true,
      },
    },
 */
exports.RoleAssetsAdmin = {
    name: "assets.admin",
    definition: {
        controllers: {
            "device-manager/assets": {
                actions: {
                    "*": true,
                },
            },
            "device-manager/models": {
                actions: {
                    deleteAsset: true,
                    listAssets: true,
                    getAsset: true,
                    writeAsset: true,
                    listMeasures: true,
                },
            },
            "device-manager/devices": {
                actions: { linkAsset: true, unlinkAsset: true },
            },
        },
    },
};
//# sourceMappingURL=RoleAssetsAdmin.js.map