"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RoleAssetsGroupsAdmin = void 0;
/**
 * This role allows to manage assets and their models.
 *
 * It's a tenant role.
 *
 * @example
 *
    "device-manager/assets": {
      actions: {
        "*": true,
      },
    },
    "device-manager/models": {
      actions: {
        deleteAsset: true,
        listAssets: true,
        getAsset: true,
        writeAsset: true,
        listMeasures: true,
      },
    },
 */
exports.RoleAssetsGroupsAdmin = {
    name: "assetsGroup.admin",
    definition: {
        controllers: {
            "device-manager/assetsGroup": {
                actions: {
                    "*": true,
                },
            },
            "device-manager/models": {
                actions: {
                    listGroups: true,
                    getGroup: true,
                },
            },
        },
    },
};
//# sourceMappingURL=RoleAssetsGroupsAdmin.js.map