"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DecoderModule = void 0;
const Module_1 = require("../shared/Module");
const DecodersController_1 = require("./DecodersController");
const PayloadsController_1 = require("./PayloadsController");
const PayloadService_1 = require("./PayloadService");
const RoleDecodersAdmin_1 = require("./roles/RoleDecodersAdmin");
const RolePayloadsAll_1 = require("./roles/RolePayloadsAll");
class DecoderModule extends Module_1.Module {
    // @todo temporary until registers refactor
    get decodersRegister() {
        // eslint-disable-next-line dot-notation
        return this.plugin["decodersRegister"];
    }
    async init() {
        this.payloadService = new PayloadService_1.PayloadService(this.plugin);
        this.decoderController = new DecodersController_1.DecodersController(this.payloadService, this.decodersRegister);
        this.payloadsController = new PayloadsController_1.PayloadsController(this.payloadService, this.decodersRegister);
        this.plugin.api["device-manager/decoders"] =
            this.decoderController.definition;
        this.plugin.api["device-manager/payloads"] =
            this.payloadsController.definition;
        this.plugin.imports.roles[RoleDecodersAdmin_1.RoleDecodersAdmin.name] =
            RoleDecodersAdmin_1.RoleDecodersAdmin.definition;
        this.plugin.imports.roles[RolePayloadsAll_1.RolePayloadsAll.name] =
            RolePayloadsAll_1.RolePayloadsAll.definition;
    }
}
exports.DecoderModule = DecoderModule;
//# sourceMappingURL=DecoderModule.js.map