import { ControllerDefinition, KuzzleRequest } from "kuzzle";
import { DecodersRegister } from "./DecodersRegister";
import { PayloadService } from "./PayloadService";
import { ApiDecoderListResult, ApiDecoderPrunePayloadsResult } from "./types/DecoderApi";
export declare class DecodersController {
    private payloadService;
    private decodersRegister;
    definition: ControllerDefinition;
    constructor(payloadService: PayloadService, decodersRegister: DecodersRegister);
    /**
     * List all available decoders
     */
    list(): Promise<ApiDecoderListResult>;
    /**
     * Clean payload collection for a time period
     */
    prunePayloads(request: KuzzleRequest): Promise<ApiDecoderPrunePayloadsResult>;
}
