"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceModule = void 0;
const Module_1 = require("../shared/Module");
const DevicesController_1 = require("./DevicesController");
const DeviceService_1 = require("./DeviceService");
const RoleDevicesAdmin_1 = require("./roles/RoleDevicesAdmin");
const RoleDevicesPlatformAdmin_1 = require("./roles/RoleDevicesPlatformAdmin");
const RoleDevicesReader_1 = require("./roles/RoleDevicesReader");
const specificRoles = __importStar(require("./roles/specificRoles"));
class DeviceModule extends Module_1.Module {
    async init() {
        this.deviceService = new DeviceService_1.DeviceService(this.plugin);
        this.deviceController = new DevicesController_1.DevicesController(this.plugin, this.deviceService);
        this.plugin.api["device-manager/devices"] =
            this.deviceController.definition;
        this.plugin.imports.roles[RoleDevicesAdmin_1.RoleDevicesAdmin.name] =
            RoleDevicesAdmin_1.RoleDevicesAdmin.definition;
        this.plugin.imports.roles[RoleDevicesPlatformAdmin_1.RoleDevicesPlatformAdmin.name] =
            RoleDevicesPlatformAdmin_1.RoleDevicesPlatformAdmin.definition;
        this.plugin.imports.roles[RoleDevicesReader_1.RoleDevicesReader.name] =
            RoleDevicesReader_1.RoleDevicesReader.definition;
        for (const role in specificRoles) {
            if (specificRoles[role].name && specificRoles[role].definition) {
                this.plugin.imports.roles[specificRoles[role].name] =
                    specificRoles[role].definition;
            }
        }
    }
}
exports.DeviceModule = DeviceModule;
//# sourceMappingURL=DeviceModule.js.map