"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RoleDevicesPlatformAdmin = void 0;
/**
 * This role allows to manage devices and also assign them to tenants.
 *
 * It's a platform role.
 *
 * @example
    "device-manager/devices": {
      actions: {
        "*": true,
      },
    },
    "device-manager/models": {
      actions: {
        deleteDevice: true,
        listDevices: true,
        getDevice: true,
        writeDevice: true,
      },
    },
 */
exports.RoleDevicesPlatformAdmin = {
    name: "devices.platform-admin",
    definition: {
        controllers: {
            "device-manager/devices": {
                actions: {
                    "*": true,
                },
            },
            "device-manager/models": {
                actions: {
                    deleteDevice: true,
                    listDevices: true,
                    getDevice: true,
                    writeDevice: true,
                },
            },
        },
    },
};
//# sourceMappingURL=RoleDevicesPlatformAdmin.js.map