"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RoleDevicesReader = void 0;
/**
 * This role only gives a read-only access to devices and their models.
 *
 * It's a tenant role.
 *
 * @example
    "device-manager/devices": {
      actions: {
        get: true,
        search: true,
        getMeasures: true,
        getLastMeasures: true,
        mGetLastMeasures: true,
        exportMeasures: true,
        getLastMeasuredAt: true,
        mGetLastMeasuredAt: true,
      },
    },
    "device-manager/models": {
      actions: {
        listDevices: true,
        getDevice: true,
        listMeasures: true,
      },
    },
    }
 */
exports.RoleDevicesReader = {
    name: "devices.reader",
    definition: {
        controllers: {
            "device-manager/devices": {
                actions: {
                    get: true,
                    search: true,
                    getMeasures: true,
                    getLastMeasures: true,
                    mGetLastMeasures: true,
                    exportMeasures: true,
                    getLastMeasuredAt: true,
                    mGetLastMeasuredAt: true,
                },
            },
            "device-manager/models": {
                actions: {
                    listDevices: true,
                    getDevice: true,
                    listMeasures: true,
                },
            },
        },
    },
};
//# sourceMappingURL=RoleDevicesReader.js.map