"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deviceSourceToOriginDevice = exports.toDeviceSource = exports.apiSourceToOriginApi = void 0;
function apiSourceToOriginApi(source, payloadUuids) {
    return {
        _id: source.id,
        apiMetadata: source.metadata,
        payloadUuids: payloadUuids,
        type: "api" /* DATA_SOURCE_METADATA_TYPE.API */,
    };
}
exports.apiSourceToOriginApi = apiSourceToOriginApi;
function toDeviceSource(dataSourceId, reference, model, metadata, lastMeasuredAt) {
    return {
        id: dataSourceId,
        lastMeasuredAt,
        metadata,
        model,
        reference,
        type: "device" /* DATA_SOURCE_METADATA_TYPE.DEVICE */,
    };
}
exports.toDeviceSource = toDeviceSource;
function deviceSourceToOriginDevice(source, measureName, payloadUuids) {
    const { id: dataSourceId, model, reference } = source;
    return {
        _id: dataSourceId,
        deviceModel: model,
        measureName,
        metadata: source.metadata,
        payloadUuids,
        reference: reference,
        type: "device" /* DATA_SOURCE_METADATA_TYPE.DEVICE */,
    };
}
exports.deviceSourceToOriginDevice = deviceSourceToOriginDevice;
//# sourceMappingURL=MeasureSourcesBuilder.js.map