/**
 * Base mappings for the "measures" collection.
 *
 * Those mappings does not contains the `values` mappings and `asset.metadata` mappings.
 */
export declare const measuresMappings: {
    dynamic: string;
    properties: {
        type: {
            type: string;
        };
        values: {
            properties: {};
        };
        /**
         * Micro Timestamp of the measurement time.
         */
        measuredAt: {
            type: string;
        };
        asset: {
            properties: {
                _id: {
                    type: string;
                };
                model: {
                    type: string;
                };
                reference: {
                    type: string;
                };
                measureName: {
                    type: string;
                };
                metadata: {
                    properties: {};
                };
                groups: {
                    properties: {
                        id: {
                            type: string;
                            fields: {
                                text: {
                                    type: string;
                                };
                            };
                        };
                        date: {
                            type: string;
                        };
                    };
                };
                softTenant: {
                    type: string;
                    fields: {
                        text: {
                            type: string;
                        };
                    };
                };
            };
        };
        /**
         * Define the origin of the measure.
         */
        origin: {
            properties: {
                type: {
                    type: string;
                };
                measureName: {
                    type: string;
                };
                deviceMetadata: {
                    properties: {};
                };
                apiMetadata: {
                    dynamic: string;
                    properties: {};
                };
                payloadUuids: {
                    type: string;
                };
                deviceModel: {
                    type: string;
                };
                reference: {
                    type: string;
                };
                _id: {
                    type: string;
                };
            };
        };
    };
};
