"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RoleMeasuresAdmin = void 0;
/**
 * This role allows to manage measure models.
 *
 * It's a tenant role.
 *
 * @example
    "device-manager/models": {
      actions: {
        deleteMeasure: true,
        listMeasures: true,
        getMeasure: true,
        writeMeasure: true,
      },
    },
 */
exports.RoleMeasuresAdmin = {
    name: "measures.admin",
    definition: {
        controllers: {
            "device-manager/models": {
                actions: {
                    deleteMeasure: true,
                    listMeasures: true,
                    getMeasure: true,
                    writeMeasure: true,
                },
            },
        },
    },
};
//# sourceMappingURL=RoleMeasuresAdmin.js.map