import { Metadata } from "../../shared";
interface AbstractMeasureSource {
    type: string;
    id: string;
    metadata?: Metadata;
}
export interface DeviceMeasureSource extends AbstractMeasureSource {
    type: "device";
    reference: string;
    model: string;
    lastMeasuredAt?: number;
}
export interface ApiMeasureSource extends AbstractMeasureSource {
    type: "api";
}
export declare function isSource(source: any): source is AbstractMeasureSource;
export declare function isSourceDevice(source: any): source is DeviceMeasureSource;
export declare function isSourceApi(source: any): source is ApiMeasureSource;
export type MeasureSource = DeviceMeasureSource | ApiMeasureSource;
export {};
