"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isSourceApi = exports.isSourceDevice = exports.isSource = void 0;
function isSource(source) {
    if (!source) {
        return false;
    }
    if (source.metadata !== undefined && typeof source.metadata !== "object") {
        return false;
    }
    return typeof source.type === "string" && typeof source.id === "string";
}
exports.isSource = isSource;
function isSourceDevice(source) {
    if (!isSource(source) && source.type !== "device") {
        return false;
    }
    if (source.lastMeasuredAt !== undefined &&
        typeof source.lastMeasuredAt !== "number") {
        return false;
    }
    return (typeof source.reference === "string" && typeof source.model === "string");
}
exports.isSourceDevice = isSourceDevice;
function isSourceApi(source) {
    return isSource(source) && source.type === "api";
}
exports.isSourceApi = isSourceApi;
//# sourceMappingURL=MeasureSources.js.map