interface AbstractMeasureTarget {
    type: string;
    assetId?: string;
    indexId: string;
}
export interface DeviceMeasureTarget extends AbstractMeasureTarget {
    type: "device";
}
export interface ApiMeasureTarget extends AbstractMeasureTarget {
    type: "api";
    assetId: string;
    engineGroup?: string;
}
export declare function isTarget(target: any): target is AbstractMeasureTarget;
export declare function isTargetDevice(target: any): target is DeviceMeasureTarget;
export declare function isTargetApi(target: any): target is ApiMeasureTarget;
export type MeasureTarget = DeviceMeasureTarget | ApiMeasureTarget;
export {};
