"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isTargetApi = exports.isTargetDevice = exports.isTarget = void 0;
function isTarget(target) {
    if (!target) {
        return false;
    }
    if (target.assetId && typeof target.assetId !== "string") {
        return false;
    }
    return typeof target.type === "string" && typeof target.indexId === "string";
}
exports.isTarget = isTarget;
function isTargetDevice(target) {
    return isTarget(target) && target.type === "device";
}
exports.isTargetDevice = isTargetDevice;
function isTargetApi(target) {
    if (!isTarget(target) && target.type !== "api") {
        return false;
    }
    if (target.engineGroup && typeof target.engineGroup !== "string") {
        return false;
    }
    return typeof target.assetId === "string";
}
exports.isTargetApi = isTargetApi;
//# sourceMappingURL=MeasureTarget.js.map