"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MappingsConflictsError = void 0;
const kuzzle_1 = require("kuzzle");
class MappingsConflictsError extends kuzzle_1.KuzzleError {
    constructor(message, conflicts, id, code) {
        super(message, 409, id, code);
        this.conflicts = conflicts;
    }
    get name() {
        return "MappingsConflictsError";
    }
    toJSON() {
        const json = super.toJSON();
        json.chunks = this.conflicts;
        return json;
    }
}
exports.MappingsConflictsError = MappingsConflictsError;
//# sourceMappingURL=MappingsConflictsError.js.map