"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModelSerializer = void 0;
const kuzzle_1 = require("kuzzle");
class ModelSerializer {
    static id(type, model) {
        if (type === "asset") {
            return `model-asset-${ModelSerializer.title(type, model)}`;
        }
        else if (type === "device") {
            return `model-device-${ModelSerializer.title(type, model)}`;
        }
        else if (type === "group") {
            return `model-group-${ModelSerializer.title(type, model)}`;
        }
        else if (type === "measure") {
            return `model-measure-${ModelSerializer.title(type, model)}`;
        }
        throw new kuzzle_1.BadRequestError(`Unknown model type "${type}"`);
    }
    static title(type, model) {
        if (type === "asset") {
            return model.asset.model;
        }
        else if (type === "device") {
            return model.device.model;
        }
        else if (type === "group") {
            return model.group.model;
        }
        else if (type === "measure") {
            return model.measure.type;
        }
        throw new kuzzle_1.BadRequestError(`Unknown model type "${type}"`);
    }
}
exports.ModelSerializer = ModelSerializer;
//# sourceMappingURL=ModelSerializer.js.map