import { ControllerDefinition, KuzzleRequest } from "kuzzle";
import { ModelService } from "./ModelService";
import { ApiModelWriteAssetResult, ApiModelWriteDeviceResult, ApiModelWriteMeasureResult, ApiModelUpdateAssetResult, ApiModelDeleteAssetResult, ApiModelDeleteDeviceResult, ApiModelDeleteMeasureResult, ApiModelListAssetsResult, ApiModelListDevicesResult, ApiModelListMeasuresResult, ApiModelGetAssetResult, ApiModelGetDeviceResult, ApiModelGetMeasureResult, ApiModelSearchAssetsResult, ApiModelSearchDevicesResult, ApiModelSearchMeasuresResult, ApiModelDeleteGroupResult, ApiModelGetGroupResult, ApiModelListGroupsResult, ApiModelSearchGroupsResult, ApiModelWriteGroupResult } from "./types/ModelApi";
export declare class ModelsController {
    private modelService;
    definition: ControllerDefinition;
    constructor(modelService: ModelService);
    getAsset(request: KuzzleRequest): Promise<ApiModelGetAssetResult>;
    getDevice(request: KuzzleRequest): Promise<ApiModelGetDeviceResult>;
    getGroup(request: KuzzleRequest): Promise<ApiModelGetGroupResult>;
    getMeasure(request: KuzzleRequest): Promise<ApiModelGetMeasureResult>;
    writeAsset(request: KuzzleRequest): Promise<ApiModelWriteAssetResult>;
    writeDevice(request: KuzzleRequest): Promise<ApiModelWriteDeviceResult>;
    writeGroup(request: KuzzleRequest): Promise<ApiModelWriteGroupResult>;
    writeMeasure(request: KuzzleRequest): Promise<ApiModelWriteMeasureResult>;
    deleteAsset(request: KuzzleRequest): Promise<ApiModelDeleteAssetResult>;
    deleteDevice(request: KuzzleRequest): Promise<ApiModelDeleteDeviceResult>;
    deleteGroup(request: KuzzleRequest): Promise<ApiModelDeleteGroupResult>;
    deleteMeasure(request: KuzzleRequest): Promise<ApiModelDeleteMeasureResult>;
    listAssets(request: KuzzleRequest): Promise<ApiModelListAssetsResult>;
    listDevices(): Promise<ApiModelListDevicesResult>;
    listGroups(request: KuzzleRequest): Promise<ApiModelListGroupsResult>;
    listMeasures(): Promise<ApiModelListMeasuresResult>;
    searchAssets(request: KuzzleRequest): Promise<ApiModelSearchAssetsResult>;
    searchDevices(request: KuzzleRequest): Promise<ApiModelSearchDevicesResult>;
    searchGroups(request: KuzzleRequest): Promise<ApiModelSearchGroupsResult>;
    searchMeasures(request: KuzzleRequest): Promise<ApiModelSearchMeasuresResult>;
    updateAsset(request: KuzzleRequest): Promise<ApiModelUpdateAssetResult>;
}
