"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SchemaValidationError = void 0;
const kuzzle_1 = require("kuzzle");
class SchemaValidationError extends kuzzle_1.KuzzleError {
    constructor(message, schemaErrors, id, code) {
        super(message, 400, id, code);
        this.schemaErrors = schemaErrors;
    }
    get name() {
        return "SchemaValidationError";
    }
    toJSON() {
        const json = super.toJSON();
        json.schemaErrors = this.schemaErrors;
        return json;
    }
}
exports.SchemaValidationError = SchemaValidationError;
//# sourceMappingURL=SchemaValidationError.js.map