import { MeasureContent } from "../../measure";
import { DeviceManagerPlugin, InternalCollection } from "../../plugin";
import { ApiDigitalTwinMGetLastMeasuredAtResult } from "../types/DigitalTwinApi";
import { BaseService } from "./BaseService";
export declare class DigitalTwinService extends BaseService {
    private targetCollection;
    private readonly digitalTwinType;
    constructor(plugin: DeviceManagerPlugin, targetCollection: InternalCollection);
    protected registerAskEvents(): void;
    /**
     * Gets the last measures of a digital twin
     */
    getLastMeasures(engineId: string, digitalTwinId: string, measureCount?: number): Promise<MeasureContent[]>;
    /**
     * Gets the last measures of multiple digital twins
     */
    mGetLastMeasures(engineId: string, digitalTwinIds: string[], measureCount?: number): Promise<Record<string, MeasureContent[]>>;
    getLastMeasuredAt(engineId: string, digitalTwinId: string): Promise<number>;
    mGetLastMeasuredAt(engineId: string, digitalTwinIds: string[]): Promise<ApiDigitalTwinMGetLastMeasuredAtResult>;
    private getAggregationQueryParameters;
}
