import { SchemaObject } from "ajv";
/**
 * Compile and add the schema to the AJV cache
 *
 * @param scemaID The schema unique identifier
 * @param schema The schema to add
 *
 * @returns The newly created validator for the schema
 * @throws If the provided schema is not valid
 */
export declare function addSchemaToCache(schemaID: string, schema: SchemaObject): import("ajv/dist/core").default;
/**
 * Search the corresponding validator in the AJV cache.
 *
 * @param schemaID The desired schema identifier
 *
 * @returns The desired schema validator
 * @throws If the schema cannot be found
 */
export declare function getValidator(schemaID: string): import("ajv/dist/types").AnyValidateFunction<unknown>;
/**
 * Get and return the previous AJV errors
 *
 * @returns an array of ErrorObject
 */
export declare function getAJVErrors(): import("ajv").ErrorObject<string, Record<string, any>, unknown>[];
