"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lock = void 0;
const kuzzle_1 = require("kuzzle");
async function lock(lockId, cb) {
    const mutex = new kuzzle_1.Mutex(lockId);
    try {
        await mutex.lock();
        return await cb();
    }
    finally {
        await mutex.unlock();
    }
}
exports.lock = lock;
//# sourceMappingURL=lock.js.map