"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.objectDiff = void 0;
const lodash_1 = __importDefault(require("lodash"));
function objectDiff(base, object) {
    const changes = [];
    const walkObject = (_base, _object, path = []) => {
        for (const key of Object.keys(_base)) {
            if (_object[key] === undefined) {
                changes.push([...path, key].join("."));
            }
        }
        for (const key of Object.keys(_object)) {
            if (_base[key] === undefined) {
                changes.push([...path, key].join("."));
            }
            else if (!lodash_1.default.isEqual(_object[key], _base[key]) &&
                lodash_1.default.isObject(_object[key]) &&
                lodash_1.default.isObject(_base[key])) {
                walkObject(_base[key], _object[key], [...path, key]);
            }
            else if (!lodash_1.default.isObject(_object[key]) &&
                !lodash_1.default.isObject(_base[key]) &&
                _base[key] !== _object[key]) {
                changes.push([...path, key].join("."));
            }
        }
    };
    walkObject(base, object);
    return changes;
}
exports.objectDiff = objectDiff;
//# sourceMappingURL=objectDiff.js.map